Your submission was sent successfully! Close

CVE-2021-25292

Published: 03 March 2021

An issue was discovered in Pillow before 8.1.1. The PDF parser allows a regular expression DoS (ReDoS) attack via a crafted PDF file because of a catastrophic backtracking regex.

Priority

Medium

CVSS 3 base score: 6.5

Status

Package Release Status
pillow
Launchpad, Ubuntu, Debian
Upstream
Released (8.1.1)
Ubuntu 21.10 (Impish Indri) Not vulnerable
(8.1.2-1)
Ubuntu 21.04 (Hirsute Hippo) Not vulnerable
(8.1.2-1)
Ubuntu 20.04 LTS (Focal Fossa)
Released (7.0.0-4ubuntu0.3)
Ubuntu 18.04 LTS (Bionic Beaver)
Released (5.1.0-1ubuntu0.5)
Ubuntu 16.04 ESM (Xenial Xerus) Not vulnerable
(code not present)
Ubuntu 14.04 ESM (Trusty Tahr) Not vulnerable
(code not present)
Patches:
Upstream: https://github.com/python-pillow/Pillow/commit/3bce145966374dd39ce58a6fc0083f8d1890719c
pillow-python2
Launchpad, Ubuntu, Debian
Upstream Needs triage

Ubuntu 21.10 (Impish Indri) Does not exist

Ubuntu 21.04 (Hirsute Hippo) Does not exist

Ubuntu 20.04 LTS (Focal Fossa) Needs triage

Ubuntu 18.04 LTS (Bionic Beaver) Does not exist

Ubuntu 16.04 ESM (Xenial Xerus) Does not exist

Ubuntu 14.04 ESM (Trusty Tahr) Does not exist

python-imaging
Launchpad, Ubuntu, Debian
Upstream Needs triage

Ubuntu 21.10 (Impish Indri) Does not exist

Ubuntu 21.04 (Hirsute Hippo) Does not exist

Ubuntu 20.04 LTS (Focal Fossa) Does not exist

Ubuntu 18.04 LTS (Bionic Beaver) Does not exist

Ubuntu 16.04 ESM (Xenial Xerus) Does not exist

Ubuntu 14.04 ESM (Trusty Tahr) Does not exist